# $Revision: 1.17 $, $Date: 2004/04/26 19:09:29 $
Summary:	A non-X game of falling blocks
Summary(pl):	Nie-Xowa gra w spadajce klocki
Name:		trojka
Version:	1.1
Release:	20
License:	distributable
Group:		Applications/Games
Source0:	ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/%{name}.tgz
# Source0-md5:	e5d09a395df937b4e09a089013648a77
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-Makefile.patch
Patch2:		%{name}-glibc.patch
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The game of Trojka involves a set of falling blocks. The point is to
move the blocks around as they fall, so that three of the same blocks
end up next to each other, either horizontally or diagonally. Once the
blocks fill up the entire game area, the game is over.

%description -l pl
Gra w Trojk polega na manipulowaniu spadajcymi zestawami klockw.
Celem jest ustawianie ich w miar ich spadania, tak eby trzy klocki
tego samego rodzaju uoyy si obok siebie, poziomo lub po
przektnej. Gra koczy si, gdy klocki wypeni ca plansz.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} CFLAGS="-DLINUX %{rpmcflags}" LDFLAGS="%{rpmldflags}" trojka

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix}/games,%{_mandir}/man6,/var/games}

install trojka $RPM_BUILD_ROOT%{_prefix}/games
install trojka.6 $RPM_BUILD_ROOT%{_mandir}/man6
touch $RPM_BUILD_ROOT/var/games/trojka.scores

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(2755,root,games) %{_prefix}/games/trojka
%attr(664,root,games) %config(noreplace) %verify(not size mtime md5) /var/games/trojka.scores
%{_mandir}/man6/*
%doc COPYRIGHT

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trojka.spec,v $
Revision 1.17  2004/04/26 19:09:29  adamg
- release 20 for Ac (19 is for Ra)

Revision 1.16  2003/05/28 13:02:21  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:27:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.13  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/14 09:29:01  qboosh
- added %%config(noreplace) to score file
- bumped release to 19

Revision 1.10  2001/10/31 23:46:56  qboosh
- fixed FHS patch: /var/lib/games moved to /var/games (acc. to FHS 2.1 and 2.2)
- release 3

Revision 1.9  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/07/13 23:02:04  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.7  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/29 02:33:16  zagrodzki
- 2755 instead of 2711 (doesn't matter after all...)

Revision 1.5  2000/04/29 02:25:15  zagrodzki
- completely rewritten in PLD-style
- adapterized
- polish translations
- COPYRIGHT goes to %doc
- game binary is setgi (group games)
- updated/corrected patches
